# Copyright (C) 2022, 2023 |Méso|Star> (contact@meso-star.com)
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.1)
include(SelectLibraryConfigurations)

# Try to find gmsh
find_path(GMSH_INCLUDE_DIR gmsh/gmsh.h)
find_path(GMSH_LIB_DIR libgmsh.so
  HINTS ${GMSH_INCLUDE_DIR}/../lib)

SET(GMSH_LIBRARY ${GMSH_LIB_DIR}/libgmsh.so)

# Check the package
include(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(gmsh DEFAULT_MSG
  GMSH_INCLUDE_DIR
  GMSH_LIBRARY)
